Functions

# Principal functions

- asCreateScriptEngine
- asGetActiveContext

# Multithread support

- asPrepareMultithread
- asUnprepareMultithread
- asGetThreadManager
- asThreadCleanup
- asAcquireExclusiveLock
- asReleaseExclusiveLock
- asAcquireSharedLock
- asReleaseSharedLock
- asAtomicInc
- asAtomicDec

# Custom memory management

- asSetGlobalMemoryFunctions
- asResetGlobalMemoryFunctions

# Auxiliary functions

- asGetLibraryVersion
- asGetLibraryOptions
- asCreateLockableSharedBool
- asGetTypeTraits